%define upstream_name	 Apache-SSLLookup
%define upstream_version 2.00_04

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 28

Summary:	Hooks for various mod_ssl functions
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{name}
Source0:	https://cpan.metacpan.org/authors/id/G/GE/GEOFF/Apache-SSLLookup-%{upstream_version}.tar.gz
Patch0:		try_fixing_build.diff

BuildRequires:	apache-mod_perl-devel
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	perl-devel
BuildRequires:  perl(Apache::Test)


%description
Apache::SSLLookup is a glue layer between Perl handlers and the
mod_ssl public API.  under normal circumstances, you would use
subprocess_env() to glean information about mod_ssl.
However, this is only possible after mod_ssl runs its fixups,
that is, Perl handlers can only accurately check the
subprocess_env table for mod_ssl information in the
PerlResponsePhase or later.
This module allows you to query mod_ssl directly via its public
C API at any point in the request cycle.  but without using C,
of course.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
export CFLAGS="%{optflags}"

%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CCFLAGS="$CCFLAGS `apr-1-config --includes`"

#%{__make} test

%install
%make_install

%files
%defattr(0644,root,root)
#%doc Changes README
%{perl_vendorarch}/auto/Apache/SSLLookup/*
%{perl_vendorarch}/Apache/*
%{_mandir}/man3/*


%changelog
* Fri Dec 01 2023 tv <tv> 2.0.400-28.mga10
+ Revision: 2012556
- Rebuild for armv7

* Fri Dec 01 2023 tv <tv> 2.0.400-27.mga10
+ Revision: 2012071
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 2.0.400-26.mga9
+ Revision: 1862848
- Rebuild for Perl 5.36

* Wed Mar 30 2022 umeabot <umeabot> 2.0.400-25.mga9
+ Revision: 1834175
- Mageia 9 Mass Rebuild

* Tue May 25 2021 tmb <tmb> 2.0.400-24.mga9
+ Revision: 1728009
- rebuild for perl 5.34

* Thu Jun 18 2020 umeabot <umeabot> 2.0.400-23.mga8
+ Revision: 1595632
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 2.0.400-22.mga8
+ Revision: 1529275
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 2.0.400-21.mga8
+ Revision: 1433329
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.0.400-20.mga7
+ Revision: 1290314
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.0.400-19.mga7
+ Revision: 1249782
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.0.400-18.mga7
+ Revision: 1162986
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.0.400-17.mga7
+ Revision: 1150073
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.0.400-16.mga7
+ Revision: 1126815
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.0_400-15.mga6
+ Revision: 1022531
- Rebuild for perl 5.22.2

* Sun Feb 28 2016 tv <tv> 2.0_400-14.mga6
+ Revision: 980325
- patch 0: try fixing build
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 2.0_400-13.mga6
+ Revision: 844164
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 2.0_400-12.mga5
+ Revision: 740794
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0_400-11.mga5
+ Revision: 683493
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 2.0_400-10.mga5
+ Revision: 632141
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0_400-9.mga4
+ Revision: 525562
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.0_400-8.mga4
+ Revision: 431365
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0_400-7.mga3
+ Revision: 362981
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.0_400-6.mga3
+ Revision: 250267
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.0_400-5.mga2
+ Revision: 103961
- perl 5.14
+ jquelin <jquelin>
- perl 5.14

* Mon Jan 24 2011 erwan <erwan> 2.0_400-3.mga1
+ Revision: 37919
- Fixing buildrequires
+ jquelin <jquelin>
- mageia rebuild
- imported package perl-Apache-SSLLookup

